Restic User Interface

Restic is certainly used most on the console. But one or the other may need a UI.

I taught myself a little Python & PyQT5, the result can be found here → Frank / restic-ui-public · GitLab

The program code should be far from perfect but it works. I hope :wink:

And thanks for Restic - the best backup tool!

3 Likes

thanks for gui for restic …
it will definitely be useful
I will be happy to test :slight_smile:

1 Like

@kris777 Have fun :wink:

Quick Video, with the main functions.

can’t create an init option?

File exist
Settings File exist
YEAH
EXIT
EXIT
ROW 0
Traceback (most recent call last):
  File "restic_ui.py", line 2152, in restic_init
    text=True)
  File "/usr/lib/python3.6/subprocess.py", line 423, in run
    with Popen(*popenargs, **kwargs) as process:
TypeError: __init__() got an unexpected keyword argument 'capture_output'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "restic_ui.py", line 2157, in restic_init
    msg_box_error(self, result.stderr)
UnboundLocalError: local variable 'result' referenced before assignment

my test settings:

Backup_Name: dropbox
Repository: / home / kris / Pulpit / backup
Source: / home / kris / Dropbox
Password: **************
Init_Status: 0
Exclude List:

1 Like

I’ll take a look tomorrow. Which OS are you running?

LinuxMint / Ubuntu 18.04 (bionic)
I deleted the directory and tried a fresh install

git clone https://gitlab.com/Bullet64/restic-ui-public.git
Resolving deltas: 100% (2502/2502), done.
cd /home/kris/restic-ui-public
python3 -m venv venv
source venv/bin/activate
pip install PyQt5

Collecting PyQt5
  Using cached https://files.pythonhosted.org/packages/8e/a4/d5e4bf99dd50134c88b95e926d7b81aad2473b47fde5e3e4eac2c69a8942/PyQt5-5.15.4.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/lib/python3.6/tokenize.py", line 452, in open
        buffer = _builtin_open(filename, 'rb')
    FileNotFoundError: [Errno 2] No such file or directory: '/tmp/pip-build-xxjis8qp/PyQt5/setup.py'
    
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-xxjis8qp/PyQt5/

???
I fixed this error with the command:


pip3 install --upgrade setuptools
pip3 install --upgrade pip

but I still have an init error

Unfortunately i don’t know what your problem is. I just tried the whole process again on my test machine. Debian 11 Bullseye with Linux Mint Cinnamon

Here my log for you → restic_ui - Pastebin.com

And please open an issue on gitlab.com if the problem persists. Thanks

Greetings
Frank